%global debug_package %nil

# needed to ship deploy_lib template files
%global _python_bytecompile_errors_terminate_build 0

%define pyname  PySide6

%define qttarballdir pyside-setup-everywhere-src

Name:           pyside6-tools
Version:        6.8.3
Release:        %mkrel 2
License:        LGPLv2+
Summary:        Development tools for PySide6 (uic, rcc, lupdate)
Group:          Development/KDE and Qt
URL:            https://wiki.qt.io/Qt_for_Python
Source0:        https://download.qt.io/official_releases/QtForPython/pyside6/PySide6-%{version}-src/%{qttarballdir}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  qt6-qttools
BuildRequires:  qttools6-designer
BuildRequires:  qt6-qtdeclarative
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6HostInfo)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  cmake(shiboken6)
BuildRequires:  cmake(pyside6)

Requires:       qtbase6-common-devel
Requires:       qt6-qttools
Requires:       qttools6-assistant
Requires:       qttools6-designer
Requires:       qt6-qtdeclarative
Requires:       python3-pyside6

%description
PySide6 is the Python3 Qt6 bindings project. This package contains the
PySide6 development tools (uic, rcc, lupdate).

%files
%{_bindir}/pyside6-*
%{_bindir}/shiboken6-genpyi
%exclude %{_bindir}/shiboken6
%{python3_sitelib}/PySide6/*

%prep
%autosetup -p1 -n %{qttarballdir}-%{version}

%build
%global _vpath_srcdir sources/pyside-tools

%cmake -DTOOLS_PATH=%{_qt6_bindir} \
       -DLIBEXEC_PATH=%{_qt6_libexecdir} \
       -DNO_QT_TOOLS=yes
%cmake_build

%install
%cmake_install

%{python3} setup.py --qtpaths=%{_qt6_bindir}/qtpaths install_scripts --install-dir=%{buildroot}%{_bindir}

# Add symlinks for tools used by pyside_tool.py
mkdir -p %{buildroot}%{python3_sitelib}/PySide6/Qt/libexec
ln -sf %{_qt6_libexecdir}/{qmlcachegen,qmlimportscanner,qmltyperegistrar,rcc,uic} %{buildroot}%{python3_sitelib}/PySide6/Qt/libexec
ln -sf %{_qt6_bindir}/{assistant,balsam,balsamui,designer,linguist,lrelease,lupdate,qmlformat,qmllint,qmlls,qsb} %{buildroot}%{python3_sitelib}/PySide6

# Create scripts folders (this basically replicates prepare_packages() in build_scripts/main.py)
mkdir -p %{buildroot}%{python3_sitelib}/PySide6/scripts
mv %{buildroot}%{_bindir}/{android_deploy.py,deploy_lib,deploy.py,metaobjectdump.py,project_lib,project.py,pyside_tool.py,qml.py,qtpy2cpp_lib,qtpy2cpp.py,requirements-android.txt} %{buildroot}%{python3_sitelib}/PySide6/scripts

# Some files got ambiguous python shebangs, we fix them after everything else is done
%py3_shebang_fix %{buildroot}%{python3_sitelib}/PySide6/scripts


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 6.8.3-2.mga10
+ Revision: 2250213
- Mageia 10 Mass Rebuild

* Fri Mar 28 2025 daviddavid <daviddavid> 6.8.3-1.mga10
+ Revision: 2170524
- New version 6.8.3

* Thu Feb 27 2025 daviddavid <daviddavid> 6.8.1-3.mga10
+ Revision: 2153503
- rebuild for python 3.13

* Sun Feb 16 2025 daviddavid <daviddavid> 6.8.1-2.mga10
+ Revision: 2149053
- exclude "/usr/bin/shiboken6" already in shiboken6 pkg

* Sun Feb 16 2025 daviddavid <daviddavid> 6.8.1-1.mga10
+ Revision: 2149025
- New version 6.8.1
- initial package pyside6-tools

